Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class PrivilegeTable

    java.lang.Object
      |
      +--netscape.security.PrivilegeTable

public class PrivilegeTable
extends java.lang.Object
implements java.lang.Cloneable

Dummy class.

Constructor Summary
`PrivilegeTable()`

Method Summary
`void` | `clear()`
`java.lang.Object` | `clone()`
`Privilege` | `get(java.lang.Object o)`
`Privilege` | `get(Target t)`
`boolean` | `isEmpty()`
`Privilege` | `put(java.lang.Object o, Privilege p)`
`Privilege` | `put(Target t, Privilege p)`
`Privilege` | `remove(java.lang.Object o)`
`Privilege` | `remove(Target t)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrivilegeTable

    public PrivilegeTable()

Method Detail

### size

    public int size()

### isEmpty

    public boolean isEmpty()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### get

    public Privilege get(java.lang.Object o)

### get

    public Privilege get(Target t)

### put

    public Privilege put(java.lang.Object o,
                         Privilege p)

### put

    public Privilege put(Target t,
                         Privilege p)

### remove

    public Privilege remove(java.lang.Object o)

### remove

    public Privilege remove(Target t)

### clear

    public void clear()

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.